% This file creates a default configs.mat file for the system
function create_configs(sys_path)

global configs;

configs.syspath = sys_path;
configs.aigrampath = [sys_path '/bin/aigram_v4.2'];
configs.wavpath = sys_path;
configs.temp = [sys_path '/bin/temp'];
configs.snrs = [-18:1:20];
configs.ini_snr = 12;   % default signal-to-noise ratio
configs.ntypes = {'WN'; 'SWN'};   % noise type

configs.wav_dur = 1.5; % wav file less than 2.5 seconds will be padded with zeros on both sides

configs.dur_max = 3;

configs.delay_aigram = 736; % delay of the auditory filter introduced by AIgram 4.0, valid for Fs = 16,000 Hz

% initial value for the popup menus
%h = set_wavfile_path; uiwait(h); 

save([sys_path '/config/configs.mat'], 'configs');


