% This file creates a default configs.mat file for the system
function create_configs(sys_path)

global configs;

configs.syspath = sys_path;
configs.datapath = [sys_path '/sets'];
configs.aigrampath = [sys_path '/bin/aigram_v4.2'];
configs.wavpath = sys_path;
configs.temp = [sys_path '/bin/temp'];
configs.mn64_cp = [sys_path '/sets/MN64/MN64_CP.mat'];
configs.mn16r_cp = [sys_path '/sets/MN16R/MN16R_CP.mat'];
configs.cv06swn_cp = [sys_path '/sets/CV06SWN/CV06SWN_CP.mat'];
configs.cv06wn_cp = [sys_path '/sets/CV06WN/CV06WN_CP.mat'];

configs.mn64_sndlist = [sys_path '/sets/MN64/MN64_SndList.mat'];
configs.mn16r_sndlist = [sys_path '/sets/MN16R/MN16R_SndList.mat'];
configs.all_sndlist = [sys_path '/sets/All/All_SndList.mat'];
configs.cv06swn_sndlist = [sys_path '/sets/CV06SWN/CV06SWN_SndList.mat'];
configs.cv06wn_sndlist = [sys_path '/sets/CV06WN/CV06WN_SndList.mat'];

configs.ini_stat.exp = 1; % default state when the system starts, MN64
configs.ini_stat.tlk = 1; % the first talker f101
configs.ini_stat.con = 1; % the first talker f101
configs.ini_stat.vow = 1; % the first talker f101

% initial value for the popup menus
configs.exp = {'MN64', 'MN16R', 'CV06SWNC', 'CV06WNC', 'CV06SWNV', 'CV06WNV', 'ALL-SWN', 'ALL-WN'};
configs.talkers = {'f101','f103','f105','f106','f108','f109','f113','f119',...
                   'm102','m104','m107','m111','m112','m114','m115','m117','m118','m120'};
configs.cons = {'b','d','f','g','k','m','n','p','s','t','v','xd','xs','xt','xz','z'};
configs.vowels = {'a', 'e', 'o', 'u', 'xe', 'xi', 'xq' ,'xr', 'xu'};

configs.talker_yesno = ones(size(configs.talkers)); % 1 means that the corresponding talker is in
configs.con_yesno = ones(size(configs.cons)); % 1 means that the corresponding consonant is in
configs.vow_yesno = ones(size(configs.vowels)); % 1 means that the corresponding vowel is in

h = set_wavfile_path; uiwait(h); 

if ~strcmp(configs.wavpath, sys_path)
    cd sets/All; %there must be a "sets/All" path from the working directory, to cd into
    All_SndList = create_All_SndList(configs.wavpath); 
    cd ../..; %jba Jul 14, 2012
    save([sys_path '/sets/All/All_SndList.mat'], 'All_SndList');
    save([sys_path '/config/configs.mat'], 'configs');
end

