%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program is used to retrieve data from the database given a
% query condition, NH-HI-06.
%
% Usage: data = query(DB, 'talker_Stim', 'm115_xta', 'listener', '112R' ...
%                     'stim', 'xza', 'resp', 'ba', 'snr', 12 )
%
%   Author:      Feipeng Li at HSR, Beckman Institute, UIUC
%   Time-stamp:  2006-11-09
%   E-mail:      fli2@uiuc.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Data = query(DB, varargin)

talker_stim = '';
listener = '';
stim = '';
resp = '';
snr = 1000;
talker = '';

for i=1:length(varargin)
    if strcmp(lower(varargin{i}),'talker_stim'), talker_stim = varargin{i+1}; end
    if strcmp(lower(varargin{i}),'listener'), listener = varargin{i+1}; end
    if strcmp(lower(varargin{i}),'stim'), stim = varargin{i+1}; end
    if strcmp(lower(varargin{i}),'resp'), resp = varargin{i+1}; end
    if strcmp(lower(varargin{i}),'snr'), snr = varargin{i+1}; end
    if strcmp(lower(varargin{i}),'talker'), talker = varargin{i+1}; end    
end

[nRow, nCol] = size(DB{1});
idx = zeros(nRow, 6);

if isempty(talker_stim)
    idx(:,1) = 1;
else
    p = find(strcmp(lower(DB{1}), lower(talker_stim)));
    idx(p,1) = 1;
end

if isempty(listener)
    idx(:,2) = 1;
else
    p = find(strcmp(lower(DB{7}), lower(listener)));
    idx(p,2) = 1;
end

if isempty(stim)
    idx(:,3) = 1;
else
    p = find(strcmp(lower(DB{2}), lower(stim)));
    idx(p,3) = 1;
end

if isempty(resp)
    idx(:,4) = 1;
else
    p = find(strcmp(lower(DB{3}), lower(resp)));
    idx(p,4) = 1;
end

if snr==1000;
    idx(:,5) = 1;
else
    p = find(DB{4}==snr);
    idx(p,5) = 1;
end

if isempty(talker)
    idx(:,6) = 1;
else
    p = find(strncmp(lower(DB{1}), lower(talker), 4));
    idx(p,6) = 1;
end

idxc = idx(:,1).*idx(:,2).*idx(:,3).*idx(:,4).*idx(:,5).*idx(:,6);
p = find(idxc > 0);

[nRow, nCol] = size(DB);
for j=1:nCol
    Data{j} = DB{j}(p);
end
